Create Customer Category
curl --request POST \
--url https://api.jtl-cloud.com/erp/customerCategories \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"Name": "<string>"
}
'import requests
url = "https://api.jtl-cloud.com/erp/customerCategories"
payload = { "Name": "<string>" }
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({Name: '<string>'})
};
fetch('https://api.jtl-cloud.com/erp/customerCategories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Id": 123,
"Name": "<string>"
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}Customer
Create Customer Category
deprecated
Create a new customer category
POST
/
customerCategories
Create Customer Category
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Body
application/json
The customer category to create.
Model Class: CreateCustomerCategory
The customer category name.
Maximum string length:
128Was this page helpful?
⌘I